import { Provider } from '@angular/core';
import { StorageOptions } from "./basestorage";
import { LocalStorage } from "./localstorage";
import { SessionStorage } from "./sessionstorage";
export declare class WebStorageModule {
}
/**
 * The objects necessary to use Web Storage in the browser
 */
export declare let BROWSER_STORAGE_PROVIDERS: Provider[];
export { LocalStorage, SessionStorage };
export { StorageProperty } from "./storageproperty";
/**
 * Creates a provider for the StorageOptions
 * @param options - A {@link StorageOptions} object
 */
export declare function ConfigureStorage(options: StorageOptions): Provider;
